/* NetworkGraphPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		Tue Dec 10 16:57:44 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.FromToModel;

/**
 * A model implementation for networkgraph chart
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class NetworkGraphPlotImpl extends PlotEngineImpl {
	public NetworkGraphPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof FromToModel)
			return drawFromToModel((FromToModel) model);
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
